---------------------------------------------------------------------------------
--
-- New Indexes for release 3.2.0.2 (3.2 HF2)
-- 
---------------------------------------------------------------------------------

DROP INDEX NDX1_ALERT;
DROP INDEX NDX2_ALERT;
DROP INDEX NDX3_ALERT;

CREATE INDEX NDX1_ALERT
  ON FCM_ALERT
    ( QUEUE_ID ASC, ALERT_STATUS ASC, LST_TRANSACTION_TIMESTAMP ASC, NEXT_SERVICE_TIMESTAMP ASC, ALERT_ID ASC )
  ALLOW REVERSE SCANS;
CREATE INDEX NDX2_ALERT
  ON FCM_ALERT
    ( QUEUE_ID ASC, ALERT_STATUS ASC, LST_TRANSACTION_AMT ASC, NEXT_SERVICE_TIMESTAMP ASC, ALERT_ID ASC )
  ALLOW REVERSE SCANS;
CREATE INDEX NDX3_ALERT
  ON FCM_ALERT
    ( QUEUE_ID ASC, ALERT_STATUS ASC, FRAUD_SCORE ASC, NEXT_SERVICE_TIMESTAMP ASC, ALERT_ID ASC )
  ALLOW REVERSE SCANS;
