#!/bin/sh
set +x
db2 connect to $3 user $1 using $2
db2 set current schema $4
db2 set current path "$4","SYSFUN","SYSIBM"
db2 "call sysproc.set_routine_opts('ISOLATION UR')"



#
# iterate over the list multiple times rather 
# than maintaining a tree of dependencies
#
#
for i in 1 2 3 4 5 ; do
echo
echo iteration $i
    for i in ./*.sql ; do
        db2 -f $i -td@ > $i.out
    done
    for i in ./*out ; do
        # SQLSTATE=42723 => matches the signature
    #    if [ `grep -ci successfully $i` -gt 0 -o  `grep -ci SQLSTATE=42723 $1` -eq 1 ]; then
         if [ `grep -ci successfully $i` -gt 0 ]; then
          #echo $i is ok 
          rm $i
        elif [ `grep -ci SQLSTATE=42723 $i` -gt 0 ]; then
          #echo $i exists and assumed to be ok 
          rm $i
        else 
          echo $i is NOT ok 
        fi 
    done
done


 db2 -wx "Select 'rebind package '||rtrim(pkgschema)||'.'|| pkgname ||';' from syscat.packages where valid = 'N' " > rebind.ddl
 db2 -tvf rebind.ddl
db2 terminate
